summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-06-15 09:51:32 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-06-15 09:51:32 +0000
commit42682b17f2f86c202d38b55623589d1d2c376a31 (patch)
tree76df32131b7db6e480d85cf367b0a64a7c424b12
parent9608796f07bb7a9405d6c56e0819c6c8e2f85c13 (diff)
downloadaports-42682b17f2f86c202d38b55623589d1d2c376a31.tar.bz2
aports-42682b17f2f86c202d38b55623589d1d2c376a31.tar.xz
Revert "main/libeventlog: remove as source tarball is missing"
-rw-r--r--main/libeventlog/APKBUILD38
1 files changed, 38 insertions, 0 deletions
diff --git a/main/libeventlog/APKBUILD b/main/libeventlog/APKBUILD
new file mode 100644
index 000000000..6df7b5308
--- /dev/null
+++ b/main/libeventlog/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: jv jens@eisfair.org
+# Maintainer: jv jens@eisfair.org
+pkgname=libeventlog
+pkgver=0.2.12
+pkgrel=0
+pkgdesc="Syslog event logger library"
+url="http://www.balabit.com"
+arch="all"
+license="BSD-3-clause"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-dev"
+source="http://www.balabit.com/downloads/files?path=/syslog-ng/sources/3.3.9/source/eventlog_${pkgver}.tar.gz"
+
+_builddir="$srcdir/eventlog-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm -f ${pkgdir}/usr/lib/*.la
+ return 0
+}
+
+md5sums="7d95392a6618437a0404a3fadb49f53e eventlog_0.2.12.tar.gz"
+sha256sums="1733e21f5d7d8d09afd8a32934f2c90ea57d5f77b4ec10d9c5bb44e7da09eb05 eventlog_0.2.12.tar.gz"
+sha512sums="e9fc759295e0141a17e6b6fddf412711b4eaa2c565edaf459506e324849ceb41a7bf31a32c64fb9096e5181b6b14dcddd2755d46bd6238fc28a747c229780fd8 eventlog_0.2.12.tar.gz"